Subject: Re: [Cfrg] Summary: Elliptic Curves - signature scheme (ends on April 22nd)

From: Peter Gutmann <[email-masked]>
Date: Fri, 1 May 2015 11:17:03 +0000

Alexey Melnikov <[email-masked]> writes:

>Based on the discussions on the mailing list, chairs are declaring rough
>consensus on:
>
>1) It looks like most people are not keen on ECDSA as specified by NIST,
>people are willing to work on/recommend better alternatives.
>
>2) While there are some challenges in deploying new signature schemes by CAs,
>the problems don't seem to be serious enough for deploying a new signature
>scheme different from ECDSA.

Just switching from the NIST/NSA curves to the Brainpool ones would seem to
meet both of those requirements...

(I'm not saying Brainpool is perfect, but it's an easy upgrade path from
NIST).

Peter.